Bug 2056913 (CVE-2022-23308) - CVE-2022-23308 libxml2: Use-after-free of ID and IDREF attributes
Summary: CVE-2022-23308 libxml2: Use-after-free of ID and IDREF attributes
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-23308
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2057065 2057133 2057666 2056914 2057663 2057664 2057665 2058262
Blocks: 2056915
TreeView+ depends on / blocked
 
Reported: 2022-02-22 11:00 UTC by Avinash Hanwate
Modified: 2022-05-17 10:13 UTC (History)
35 users (show)

Fixed In Version: libxml2 2.9.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-15 17:02:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0899 0 None None None 2022-03-15 10:22:52 UTC
Red Hat Product Errata RHSA-2022:1389 0 None None None 2022-04-20 19:42:18 UTC
Red Hat Product Errata RHSA-2022:1390 0 None None None 2022-04-20 19:30:40 UTC

Description Avinash Hanwate 2022-02-22 11:00:06 UTC
Use-after-free of ID and IDREF attributes vulnerability is found in libxml2.
https://bugs.gentoo.org/833809

Comment 1 Avinash Hanwate 2022-02-22 11:00:34 UTC
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 2056914]

Comment 2 Guilherme de Almeida Suckevicz 2022-02-22 16:46:23 UTC
Created mingw-libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 2057065]

Comment 3 Guilherme de Almeida Suckevicz 2022-02-22 17:25:27 UTC
Upstream patch:
https://gitlab.gnome.org/GNOME/libxml2/-/commit/652dd12a858989b14eed4e84e453059cd3ba340e

Comment 9 errata-xmlrpc 2022-03-15 10:22:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0899 https://access.redhat.com/errata/RHSA-2022:0899

Comment 10 Product Security DevOps Team 2022-03-15 17:02:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-23308

Comment 11 errata-xmlrpc 2022-04-20 19:30:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2022:1390 https://access.redhat.com/errata/RHSA-2022:1390

Comment 12 errata-xmlrpc 2022-04-20 19:42:15 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services for RHEL 8

Via RHSA-2022:1389 https://access.redhat.com/errata/RHSA-2022:1389


Note You need to log in before you can comment on or make changes to this bug.